## com.saxonica.schema
Class AttributeWildcard

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.AttributeWildcard

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator, SchemaComponent

    public class AttributeWildcard

extends SchemaStructure
implements SchemaComponent

This class represents an xs:anyAttribute element in the schema.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.saxon.type.SchemaComponent
`FIXED_UP, INCOMPLETE, INVALID, UNVALIDATED, VALIDATED, VALIDATING`

Constructor Summary
`AttributeWildcard()`
`AttributeWildcard(Wildcard wc)`

Method Summary
`int` `getValidationStatus()` Get the validation status of this component.
`Wildcard` `getWildcard()`
`void` `serialize(SchemaModelSerializer serializer)` Serialize this schema component
`void` `setWildcard(Wildcard wildcard)`
`boolean` `validate(SchemaCompiler compiler)` Validate that this AttributeWildcard obeys the schema consistency rules.

Methods inherited from class com.saxonica.schema.SchemaStructure
`elaborate, fixup, getColumnNumber, getConfiguration, getFixupStatus, getLineNumber, getPublicId, getSystemId, lookForCycles, setConfiguration, setFixupStatus, setLineNumber, setLocator, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeWildcard

    public AttributeWildcard()

### AttributeWildcard

    public AttributeWildcard(Wildcard wc)

Method Detail

### setWildcard

    public void setWildcard(Wildcard wildcard)

### getWildcard

    public Wildcard getWildcard()

### validate

    public boolean validate(SchemaCompiler compiler)
                     throws SchemaException

  Validate that this AttributeWildcard obeys the schema consistency rules. Any errors are notified to the ErrorListener, and result in the method returning false.

  Parameters:
    `compiler` - used for error reporting
  Returns:
    false if any errors were found, true if everything is OK
  Throws:
    `SchemaException` - if the error listener decided to treat the error as fatal.

### serialize

    public void serialize(SchemaModelSerializer serializer)
                   throws XPathException

  Serialize this schema component

  Throws:
    `XPathException`

### getValidationStatus

    public int getValidationStatus()

  Get the validation status of this component.

  Specified by:
    `getValidationStatus` in interface `SchemaComponent`
  Overrides:
    `getValidationStatus` in class `SchemaStructure`
  Returns:
    one of the values `SchemaComponent.UNVALIDATED`, `SchemaComponent.VALIDATING`, `SchemaComponent.VALIDATED`, `SchemaComponent.INVALID`, `SchemaComponent.INCOMPLETE`

Copyright (c) Saxonica Limited. All rights reserved.